Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 596948 - vmstat disk device field is not long enough
Summary: vmstat disk device field is not long enough
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: procps
Version: 6.0
Hardware: All
OS: Linux
high
medium
Target Milestone: rc
: ---
Assignee: Jan Görig
QA Contact: Branislav Náter
URL:
Whiteboard:
Depends On: 586078 1169349
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-27 19:46 UTC by Casey Dahlin
Modified: 2018-11-14 19:09 UTC (History)
5 users (show)

Fixed In Version: procps-3.2.8-16.el6
Doc Type: Bug Fix
Doc Text:
Cause vmstat doesn't read whole device name if it is too long Consequence Devices with long name weren't showed by vmstat -d command Fix Increased number of maximum characters for device name Result Devices with long name are shown
Clone Of: 586078
Environment:
Last Closed: 2011-05-19 14:08:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0708 normal SHIPPED_LIVE procps bug fix update 2011-05-18 18:10:00 UTC

Comment 1 RHEL Product and Program Management 2010-05-27 19:55:39 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 13 Jan Görig 2011-01-31 11:21:52 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause
 vmstat doesn't read whole device name if it is too long
Consequence
 Devices with long name weren't showed by vmstat -d command
Fix
 Increased number of maximum characters for device name
Result
 Devices with long name are shown

Comment 14 Branislav Náter 2011-03-03 14:04:02 UTC
Updated patch seems to work correctly. Verified using reproducers on package  procps-3.2.8-16.el6.{x86_64,i686,ppc64,s390x}

- "vmstat -d" displaying 31 character long device name:
.live.[root@i386-6w-v1 vmstat]# vmstat -d
disk- ------------reads------------ ------------writes----------- -----IO------
       total merged sectors      ms  total merged sectors      ms    cur    sec
testingdevicewithverylongname10     11      0      88       0      0      0       0       0      0      0

- "vmstat -p <partname>" displaying 34 character long partition name:
# vmstat -p toolongdevicenamethatcantest300p50
toolongdevicenamethatcantest300p50    reads   read sectors  writes    requested writes
                 334       2928          0          0

Comment 15 errata-xmlrpc 2011-05-19 14:08:04 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0708.html


Note You need to log in before you can comment on or make changes to this bug.